<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Tservicio
 *
 * @ORM\Table(name="tservicio")
 * @ORM\Entity
 */
class Tservicio
{
    /**
     * @var int
     *
     * @ORM\Column(name="idservicio", type="smallint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idservicio;

    /**
     * @var string
     *
     * @ORM\Column(name="descripcion", type="string", length=50, nullable=false)
     */
    private $descripcion;

    public function getIdservicio(): ?int
    {
        return $this->idservicio;
    }

    public function getDescripcion(): ?string
    {
        return $this->descripcion;
    }

    public function setDescripcion(string $descripcion): self
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    public function __toString()
    {
        return $this->getDescripcion();
    }

}
